QMacStyle(3qt)

NAME
QMacStyle - Implements an Appearance Manager style

SYNOPSIS
#include <qmacstyle_mac.h>

Inherits QWindowsStyle.

  Public Members
QMacStyle ()
virtual ~QMacStyle ()

DESCRIPTION
The QMacStyle class implements an Appearance Manager style.

This class is implemented as a wrapper to the Apple Appearance Manager. This allows your application to be styled by whatever theme your Macintosh is using. This is done by having primitives in QStyle implemented in terms of what the Macintosh would normally theme (i.e. the Finder). The implementation does have some limitations, generally the same ones described in the QAquaStyle documentation.

Note that the functions provided by QMacStyle are reimplementations of QStyle functions; see QStyle for their documentation.

See also Widget Appearance and Style.

MEMBER FUNCTION DOCUMENTATION

QMacStyle::QMacStyle ()
Constructs a QMacStyle object.

QMacStyle::~QMacStyle () [virtual]
Destructs a QMacStyle object.

SEE ALSO
http://doc.trolltech.com/qmacstyle.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive Qt documentation is provided in HTML format; it is located at $QTDIR/doc/html and can be read using Qt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qmacstyle.3qt) and the Qt version (3.1.0-b2).